diff --git a/pgadmin/dlg/dlgDomain.cpp b/pgadmin/dlg/dlgDomain.cpp
index a3992f2..9c40b43 100644
--- a/pgadmin/dlg/dlgDomain.cpp
+++ b/pgadmin/dlg/dlgDomain.cpp
@@ -292,7 +292,7 @@ wxString dlgDomain::GetSql()
 		}
 		if (chkNotNull->GetValue() != domain->GetNotNull())
 		{
-			sql += wxT("ALTER DOMAIN ") + domain->GetQuotedFullIdentifier();
+			sql += wxT("ALTER DOMAIN ") + qtIdent(cbSchema->GetValue()) + wxT(".") + qtIdent(name);
 			if (chkNotNull->GetValue())
 				sql += wxT("\n  SET NOT NULL;\n");
 			else
@@ -300,7 +300,7 @@ wxString dlgDomain::GetSql()
 		}
 		if (txtDefault->GetValue() != domain->GetDefault())
 		{
-			sql += wxT("ALTER DOMAIN ") + domain->GetQuotedFullIdentifier();
+			sql += wxT("ALTER DOMAIN ") + qtIdent(cbSchema->GetValue()) + wxT(".") + qtIdent(name);
 			if (txtDefault->GetValue().IsEmpty())
 				sql += wxT("\n  DROP DEFAULT;\n");
 			else
@@ -318,7 +318,7 @@ wxString dlgDomain::GetSql()
 				tmpDef.RemoveAt(index);
 			else
 			{
-				tmpsql += wxT("ALTER DOMAIN ") + domain->GetQuotedFullIdentifier()
+				tmpsql += wxT("ALTER DOMAIN ") + qtIdent(cbSchema->GetValue()) + wxT(".") + qtIdent(name)
 				          +  wxT("\n  ADD");
 				if (!conname.IsEmpty())
 					tmpsql += wxT(" CONSTRAINT ");
@@ -335,9 +335,8 @@ wxString dlgDomain::GetSql()
 				definition = definition.Mid(1).BeforeFirst('"');
 			else
 				definition = definition.BeforeFirst(' ');
-			sql += wxT("ALTER DOMAIN ") + domain->GetQuotedFullIdentifier()
+			sql += wxT("ALTER DOMAIN ") + qtIdent(cbSchema->GetValue()) + wxT(".") + qtIdent(name)
 			       + wxT("\n  DROP CONSTRAINT ") + qtIdent(definition) + wxT(";\n");
-
 		}
 
 		// Add the ADD CONSTRAINTs...
